All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
op_plus_assign Struct Reference

## Static Public Member Functions

template<typename LHS , typename RHS >
static void | apply (LHS &lhs, RHS const &rhs)
static std::string | str ()

## Detailed Description

Definition at line 140 of file self_assign.cpp.

## Member Function Documentation

template<typename LHS , typename RHS >

static void op_plus_assign::apply | ( | LHS & | lhs,
|  | RHS const & | rhs
| ) |  |

inline static

Definition at line 143 of file self_assign.cpp.

static std::string op_plus_assign::str | ( |  | ) |

inline static

Definition at line 145 of file self_assign.cpp.

The documentation for this struct was generated from the following file:

- tests/src/self_assign.cpp